#
# This file is part of Reindeer
#
# This software is Copyright (c) 2017, 2015, 2014, 2012, 2011 by Chris Weyl.
#
# This is free software, licensed under:
#
#   The GNU Lesser General Public License, Version 2.1, February 1999
#
# This file was automatically generated by Dist::Zilla::Plugin::MakeMaker v6.010.
use strict;
use warnings;

use 5.010;

use ExtUtils::MakeMaker;

my %WriteMakefileArgs = (
  "ABSTRACT" => "Moose with more antlers",
  "AUTHOR" => "Chris Weyl <cweyl\@alumni.drew.edu>",
  "CONFIGURE_REQUIRES" => {
    "ExtUtils::MakeMaker" => 0
  },
  "DISTNAME" => "Reindeer",
  "LICENSE" => "lgpl",
  "MIN_PERL_VERSION" => "5.010",
  "NAME" => "Reindeer",
  "PREREQ_PM" => {
    "Carp" => 0,
    "Class::Load" => 0,
    "Import::Into" => 0,
    "Moose" => "1.15",
    "Moose::Autobox" => 0,
    "Moose::Exporter" => "2.1400",
    "Moose::Util::TypeConstraints" => 0,
    "MooseX::AbstractMethod" => "0.003",
    "MooseX::AlwaysCoerce" => "0.16",
    "MooseX::AttributeShortcuts" => "0.017",
    "MooseX::ClassAttribute" => "0.26",
    "MooseX::CurriedDelegation" => 0,
    "MooseX::LazyRequire" => "0.07",
    "MooseX::MarkAsMethods" => "0.14",
    "MooseX::NewDefaults" => "0.003",
    "MooseX::Params::Validate" => "0.016",
    "MooseX::StrictConstructor" => "0.19",
    "MooseX::Traitor" => "0.002",
    "MooseX::Types::Combine" => 0,
    "MooseX::Types::Common::Numeric" => "0.001004",
    "MooseX::Types::Common::String" => "0.001004",
    "MooseX::Types::LoadableClass" => "0.006",
    "MooseX::Types::Moose" => "0.31",
    "MooseX::Types::Path::Class" => "0.05",
    "MooseX::Types::Tied::Hash::IxHash" => "0.003",
    "Path::Class" => "0.24",
    "Sub::Exporter" => 0,
    "Sub::Install" => 0,
    "Try::Tiny" => "0.11",
    "base" => 0,
    "feature" => 0,
    "strict" => 0,
    "warnings" => 0
  },
  "TEST_REQUIRES" => {
    "ExtUtils::MakeMaker" => 0,
    "File::Spec" => 0,
    "IO::Handle" => 0,
    "IPC::Open3" => 0,
    "Moose::Util" => 0,
    "Test::CheckDeps" => "0.010",
    "Test::Fatal" => 0,
    "Test::Moose" => 0,
    "Test::Moose::More" => "0.009",
    "Test::More" => "0.94",
    "Test::Requires" => 0,
    "ok" => 0
  },
  "VERSION" => "0.020",
  "test" => {
    "TESTS" => "t/*.t t/builder/*.t t/moosex-abstract/*.t t/moosex-currieddelegation/*.t t/moosex-markasmethods/*.t t/moosex-newdefaults/*.t t/moosex-strictconstructor/*.t t/moosex-traitor/*.t t/optional-traits/*.t"
  }
);


my %FallbackPrereqs = (
  "Carp" => 0,
  "Class::Load" => 0,
  "ExtUtils::MakeMaker" => 0,
  "File::Spec" => 0,
  "IO::Handle" => 0,
  "IPC::Open3" => 0,
  "Import::Into" => 0,
  "Moose" => "1.15",
  "Moose::Autobox" => 0,
  "Moose::Exporter" => "2.1400",
  "Moose::Util" => 0,
  "Moose::Util::TypeConstraints" => 0,
  "MooseX::AbstractMethod" => "0.003",
  "MooseX::AlwaysCoerce" => "0.16",
  "MooseX::AttributeShortcuts" => "0.017",
  "MooseX::ClassAttribute" => "0.26",
  "MooseX::CurriedDelegation" => 0,
  "MooseX::LazyRequire" => "0.07",
  "MooseX::MarkAsMethods" => "0.14",
  "MooseX::NewDefaults" => "0.003",
  "MooseX::Params::Validate" => "0.016",
  "MooseX::StrictConstructor" => "0.19",
  "MooseX::Traitor" => "0.002",
  "MooseX::Types::Combine" => 0,
  "MooseX::Types::Common::Numeric" => "0.001004",
  "MooseX::Types::Common::String" => "0.001004",
  "MooseX::Types::LoadableClass" => "0.006",
  "MooseX::Types::Moose" => "0.31",
  "MooseX::Types::Path::Class" => "0.05",
  "MooseX::Types::Tied::Hash::IxHash" => "0.003",
  "Path::Class" => "0.24",
  "Sub::Exporter" => 0,
  "Sub::Install" => 0,
  "Test::CheckDeps" => "0.010",
  "Test::Fatal" => 0,
  "Test::Moose" => 0,
  "Test::Moose::More" => "0.009",
  "Test::More" => "0.94",
  "Test::Requires" => 0,
  "Try::Tiny" => "0.11",
  "base" => 0,
  "feature" => 0,
  "ok" => 0,
  "strict" => 0,
  "warnings" => 0
);


unless ( eval { ExtUtils::MakeMaker->VERSION(6.63_03) } ) {
  delete $WriteMakefileArgs{TEST_REQUIRES};
  delete $WriteMakefileArgs{BUILD_REQUIRES};
  $WriteMakefileArgs{PREREQ_PM} = \%FallbackPrereqs;
}

delete $WriteMakefileArgs{CONFIGURE_REQUIRES}
  unless eval { ExtUtils::MakeMaker->VERSION(6.52) };

WriteMakefile(%WriteMakefileArgs);
